#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr); cout.tie(nullptr);

    int n; cin >> n;
    vector<int> a(n);
    vector<int> b(n);
    int l = 1;
    int d = n*2;
    int br = 0;
    for(int i=0; i<n; i++){
        if(i%2 == 0){
            a[i] = l;
            l++;
        }
        else{
            a[i] = d;
            d--;
        }
    }
    for(int i=0; i<n; i++){
        if(i%2 == 0){
            b[i] = l;
            l++;
        }
        else{
            b[i] = d;
            d--;
        }
    }
    for(int i=0; i<n; i++)
        cout << a[i] << " ";
    cout << endl;
    for(int i=0; i<n; i++)
        cout << b[i] << " ";

    return 0;
}